gnutls_est_record_overhead_size(3)

NAME
gnutls_est_record_overhead_size - API function

SYNOPSIS
#include <gnutls/gnutls.h>

size_t gnutls_est_record_overhead_size(gnutls_protocol_t version, gnutls_cipher_algorithm_t cipher, gnutls_mac_algorithm_t mac, gnutls_compression_method_t comp, unsigned int flags);

ARGUMENTS

gnutls_protocol_t version
    is a gnutls_protocol_t value

gnutls_cipher_algorithm_t cipher
    is a gnutls_cipher_algorithm_t value

gnutls_mac_algorithm_t mac
    is a gnutls_mac_algorithm_t value

gnutls_compression_method_t comp
    is a gnutls_compression_method_t value

unsigned int flags
    must be zero

DESCRIPTION
This function will return the set size in bytes of the overhead due to TLS (or DTLS) per record. Note that this function may provide inacurate values when TLS extensions that modify the record format are negotiated. In these cases a more accurate value can be obtained using gnutls_record_overhead_size() after a completed handshake.

SINCE
3.2.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/